Using PHP 8 with Laragon

Laragon is local WAMP development server (and a much better one than XAMMP..) – I use it for most of my development work.

Recently I’ve moved a couple of my ongoing projects over to PHP 8, and was caught out slightly by some unexpected behaviour.

Laragon makes it pretty easy to add a new PHP/Apache version, but it makes a slight mistake when generating the mod_php config.

You need to change

LoadModule php8_module "C:/PATH/TO/laragon/bin/php/php-8.0.2-Win32-vs16-x64/php8apache2_4.dll"

to

LoadModule php_module "C:/PATH/TO/laragon/bin/php/php-8.0.2-Win32-vs16-x64/php8apache2_4.dll"

Otherwise you will get an error when starting Apache 🙂

Leave a Reply